# Update Request API
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/rfi-apis/update-request-api/index.md

Alert: If you are a Customer contracted with MTS EU or MTS UK, refer to the corresponding EU and UK specification inside the swagger file to ensure compliance with the relevant jurisdiction based Regulatory Technical Standards (either EU or UK) derived from the Revised Payment Services Directive (PSD2).

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/cross_border-swagger.yaml)

This API will be used by a Customer to provide a response to a RFI request assigned to the Customer. Look at the RFI process description [How it works](https://developer.mastercard.com/cross-border-services/documentation/api-ref/value-added-services/rfi-apis/how-it-works/index.md) for details on how to use the Update Request API for a cross border RFI solution.

API Reference: `POST /send/partners/{partner_id}/crossborder/rfi/requests/{request_id}`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/ json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example- application/json

## Environment Domains {#environment-domains}

* Sandbox/MTF
* Sandbox-EU
* Sandbox-UK
* MTF-EU
* MTF-UK
* Production
* Production-EU
* Production-UK

```Sandbox/MTF
https://sandbox.api.mastercard.com/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```Sandbox-EU
https://sandbox.api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```Sandbox-UK
https://sandbox.api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```MTF-EU
https://mtf.api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```MTF-UK
https://mtf.api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```Production
https://api.mastercard.com/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```Production-EU
https://api.xbs.mastercard.eu/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

```Production-UK
https://api.xbs.mastercard.uk/send/partners/{partner_id}/crossborder/rfi/requests/{request_id}
```

## API Convention {#api-convention}

Take a look at the [API Conventions](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#api-conventions) for general guidelines.

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-basics/index.md#transport-encryption)

## Next step {#next-step}

Proceed to [Sandbox Testing](https://developer.mastercard.com/cross-border-services/documentation/testing/rfi-apis/update-request-api/index.md) to test the Update Request API in the Sandbox environment.
